import Bladex
import Doors
import Levers
import Locks
import Objects
import Sounds
import Button
import ReadGSFile
import AuxFuncs
import darfuncs
import Stars
import EnemyTypes
from Tr import Tr
import Sparks
import Actions
import Breakings
import pocimac
import AniSound
import ItemTypes


###########PUERTA JAUS###################

granpiedradeslizando=Sounds.CreateEntitySound("..\\..\\Sounds\\Huge-stone-door.wav", "granpiedradeslizando")
cierrepiedra=Sounds.CreateEntitySound("..\\..\\Sounds\\Stone-door-shut.wav", "cierrepiedra")


#############################PUERTA DA JAUS#######################
###################FUNCIONES PARA ABRIR/CERRAR###################

def Abredoor14():
    p14.OpenDoor()

def Cierradoor14():
    p14.CloseDoor()


#####################CREAMOS LA PUERTA#####################

p14=Doors.CreateDoor("p14",(26964, -922, -1828),(0,1,0),0,4150,Doors.CLOSED)

p14.opentype=Doors.UNIF
p14.o_med_vel=-700
p14.o_med_displ=4000


p14.closetype=Doors.AC
p14.c_init_displ=4150
p14.c_med_vel=7000




p14.SetWhileCloseSound(granpiedradeslizando)
p14.SetWhileOpenSound(granpiedradeslizando)
p14.SetEndCloseSound(cierrepiedra)
p14.SetEndOpenSound(cierrepiedra)


###############PUERTA JAUS#################

###########POBLAO DOORS
########################PUERTAs DEL POBLAO############################



###################FUNCIONES PARA ABRIR/CERRAR###################

def Abredoor8():
    p8.OpenDoor()
    p9.OpenDoor()
    p10.OpenDoor()
    p11.OpenDoor()
    p12.OpenDoor()
    
def Cierradoor8():
    p8.CloseDoor()


#####################CREAMOS LA PUERTA#####################

p8=Doors.CreateDoor("p8",(-2779, -839, 81497),(0,1,0),4001,4001,Doors.CLOSED)

p8.opentype=Doors.UNIF
p8.o_med_vel=-700
p8.o_med_displ=4002
p8.key=""

p8.closetype=Doors.AC
p8.c_init_displ=4002
p8.c_med_vel=-700


#####################CREAMOS CERRADURA######################

cerradurp8=Locks.PlaceLock("cerradurp8","Cerradurcob",(17005.5424855,-1417.01583698,44302.1284723),(0.00021212,0.0000000009999999999,0.00000059605,-0.099999970198),2.5)
cerradurp8.key="llave8"

darfuncs.SetHint(cerradurp8.obj, Tr("Cerradura torcida"))


cerradurp8.OnUnLockFunc=Abredoor8
cerradurp8.OnUnLockArgs=()

cerradurp8.OnLockFunc=Cierradoor8
cerradurp8.OnLockArgs=()



##############LLAVE###############################

o=Bladex.CreateEntity("llave8","Llavecob",33476.5721805,-27.7790982503,26537.3427116,"Physic")
o.Scale=1.0

o.Orientation=0.70707654953,0.00814923085272,-0.707081973553,-0.00337552302517
darfuncs.SetHint(o,Tr("Llave torcida"))
Stars.Twinkle("llave8") 



#############################PUERTAB#######################
###################FUNCIONES PARA ABRIR/CERRAR###################

def Abredoor9():
    p9.OpenDoor()

def Cierradoor9():
    p9.CloseDoor()


#####################CREAMOS LA PUERTA#####################

p9=Doors.CreateDoor("p9",(15173, -582, 81213),(0,1,0),4001,4001,Doors.CLOSED)

p9.opentype=Doors.UNIF
p9.o_med_vel=-700
p9.o_med_displ=4002


p9.closetype=Doors.AC
p9.c_init_displ=4002
p9.c_med_vel=-700




###########################PUERTA C#############################
####################FUNCIONES PARA ABRIR/CERRAR###################

def Abredoor10():
    p10.OpenDoor()

def Cierradoor10():
    p10.CloseDoor()


#####################CREAMOS LA PUERTA#####################

p10=Doors.CreateDoor("p10",(-2759, -1076, 63877),(0,1,0),4001,4001,Doors.CLOSED)

p10.opentype=Doors.UNIF
p10.o_med_vel=-700
p10.o_med_displ=4002


p10.closetype=Doors.AC
p10.c_init_displ=4002
p10.c_med_vel=-700



################################PUERTAD#####################
###################FUNCIONES PARA ABRIR/CERRAR###################

def Abredoor11():
    p11.OpenDoor()

def Cierradoor11():
    p11.CloseDoor()


#####################CREAMOS LA PUERTA#####################

p11=Doors.CreateDoor("p11",(14591, -1076, 64220),(0,1,0),4001,4001,Doors.CLOSED)

p11.opentype=Doors.UNIF
p11.o_med_vel=-700
p11.o_med_displ=4002


p11.closetype=Doors.AC
p11.c_init_displ=4002
p11.c_med_vel=-700


################################PUERTAE######################
###################FUNCIONES PARA ABRIR/CERRAR###################

def Abredoor12():
    p12.OpenDoor()

def Cierradoor12():
    p12.CloseDoor()


#####################CREAMOS LA PUERTA#####################

p12=Doors.CreateDoor("p12",(-2762, -1172, 46154),(0,1,0),4001,4001,Doors.CLOSED)

p12.opentype=Doors.UNIF
p12.o_med_vel=-700
p12.o_med_displ=4002


p12.closetype=Doors.AC
p12.c_init_displ=4002
p12.c_med_vel=-700




###########POBLAO DOORS############




########################PUERTA 1############################

####################SONIDOS############################
spuertar1d=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-deslizando.wav", "MaderaDesliz")
spuertar1d.MaxDistance=20000
spuertar1d.MinDistance=1000
spuertar1d.Volume=4.0

spuertar1g=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-golpe.wav", "MaderaGolpe")
spuertar1g.MaxDistance=20000
spuertar1g.MinDistance=2000
spuertar1g.Volume=4.0

###################FUNCIONES PARA ABRIR/CERRAR###################

def Abredoor1():
    IntroA()
    IntroMusic()  
    

def Cierradoor1():
    p1.CloseDoor() 


#####################CREAMOS LA PUERTA#####################

p1=Doors.CreateDoor("p1",(3585.34656661, -1097.33842585, -35066.4193542),(0,1,0),0,3000,Doors.CLOSED)

p1.opentype=Doors.UNIF
p1.o_med_vel=-700
p1.o_med_displ=3000

p1.closetype=Doors.AC
p1.c_init_displ=3000
p1.c_med_vel=8000
p1.SetWhileOpenSound(spuertar1d)
p1.SetEndOpenSound(spuertar1g)

###################SONIDOS PARA LA PUERTA####################

p1.SetWhileCloseSound(spuertar1d)
p1.SetEndCloseSound(spuertar1g)

#####################CREAMOS CERRADURA######################

cerradurp4=Locks.PlaceLock("cerradurp4","Cerradurcob",(10095.2325029,-3219.38741425,-1375.31081732),(0.5,0.499999970198,0.500000059605,-0.499999970198),2.5)
cerradurp4.key="llave4"

darfuncs.SetHint(cerradurp4.obj, Tr("Cerradura de la puerta"))


cerradurp4.OnUnLockFunc=Abredoor1
cerradurp4.OnUnLockArgs=()

cerradurp4.OnLockFunc=Cierradoor1
cerradurp4.OnLockArgs=()



##############LLAVE################################

o=Bladex.CreateEntity("llave4","Llavecob",2050.9807883,-1776.85487421,556.454713497,"Physic")
o.Scale=1.0

o.Orientation=0.70707654953,0.00814923085272,-0.707081973553,-0.00337552302517
darfuncs.SetHint(o, Tr("Llave de la puerta"))
Stars.Twinkle("llave4")



########################PUERTA 2!!!!!!!!!!!!!!!!!############################

####################SONIDOS############################
spuertar2d=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-deslizando.wav", "MaderaDesliz")
spuertar2d.MaxDistance=20000
spuertar2d.MinDistance=1000
spuertar2d.Volume=4.0

spuertar2g=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-golpe.wav", "MaderaGolpe")
spuertar2g.MaxDistance=20000
spuertar2g.MinDistance=2000
spuertar2g.Volume=4.0

###################FUNCIONES PARA ABRIR/CERRAR###################

def Abredoor2():
    p2.OpenDoor()



def Cierradoor2():
    p2.CloseDoor()


#####################CREAMOS LA PUERTA#####################

p2=Doors.CreateDoor("p2",(79943.5125167, -11109.7922891, -139198.626686),(0,1,0),0,5000,Doors.CLOSED)

p2.opentype=Doors.UNIF
p2.o_med_vel=-700
p2.o_med_displ=5000

p2.closetype=Doors.AC
p2.c_init_displ=5000
p2.c_med_vel=700
p2.SetWhileOpenSound(spuertar1d)
p2.SetEndOpenSound(spuertar1g)

###################SONIDOS PARA LA PUERTA####################

p2.SetWhileCloseSound(spuertar1d)
p2.SetEndCloseSound(spuertar1g)

#####################CREAMOS CERRADURA######################

cerradurp5=Locks.PlaceLock("cerradurp5","Cerradurpla",(81271.2001232,-11237.7727346,-141004.459304),(0.0922959819436,0.0922959372401,0.701057434082,-0.701057314873),1.7)
cerradurp5.key="llave5"

darfuncs.SetHint(cerradurp5.obj, Tr("Cerradura de la Torre"))


cerradurp5.OnUnLockFunc=Abredoor2
cerradurp5.OnUnLockArgs=()

cerradurp5.OnLockFunc=Cierradoor2
cerradurp5.OnLockArgs=()



##############LLAVE################################

o=Bladex.CreateEntity("llave5","Llavepla",92695.2883723,-9205.81159745,-115145.261306,"Physic")
o.Scale=1.0

o.Orientation=0.70707654953,0.00814923085272,-0.707081973553,-0.00337552302517
darfuncs.SetHint(o, Tr("Llave de la Torre"))
Stars.Twinkle("llave5")



#######################################PUERTA DE LA IZK######################33

###################SONIDOS############################
spuertar4d=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-deslizando.wav", "MaderaDesliz")
spuertar4d.MaxDistance=20000
spuertar4d.MinDistance=1000
spuertar4d.Volume=1.0

spuertar4g=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-golpe.wav", "MaderaGolpe")
spuertar4g.MaxDistance=20000
spuertar4g.MinDistance=2000
spuertar4g.Volume=1.0

###################FUNCIONES PARA ABRIR/CERRAR###################

def Abredoor4():
    p4.OpenDoor()

def Cierradoor4():
    p4.CloseDoor()


#####################CREAMOS LA PUERTA#####################

p4=Doors.CreateDoor("p4",(73462.6938365, -11090.0168894, -139212.100536),(0,1,0),0,5000,Doors.CLOSED)

p4.opentype=Doors.UNIF
p4.o_med_vel=-700
p4.o_med_displ=5000

p4.closetype=Doors.AC
p4.c_init_displ=5000
p4.c_med_vel=700
p4.SetWhileOpenSound(spuertar1d)
p4.SetEndOpenSound(spuertar1g)

###################SONIDOS PARA LA PUERTA####################

p4.SetWhileCloseSound(spuertar1d)
p4.SetEndCloseSound(spuertar1g)

###############CREAMOS ENEMIGO##############




pers=Bladex.CreateEntity("DesertArq1", "Ork",76925.087958,-18784.911859,-142524.040714,"Person")
pers.Angle=4.73068197246
pers.Level=20
pers.Orientation=0.628680825233, 0.628696143627, 0.323657751083, -0.323646843433
pers.SetOnFloor()

sword=Bladex.CreateEntity("DesertArcEspada1","Hacha4",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(sword)
Actions.TakeObject(pers.Name,sword.Name)

bow=Bladex.CreateEntity("Desertbow1","Arco",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(bow)
Actions.TakeObject(pers.Name,bow.Name)

quiver=Bladex.CreateEntity("Desertquiver1","CarcajEnvenenado",0,0,0,"Physic")
ItemTypes.ItemDefaultFuncs (quiver)
quiver.Data.SetNumberOfArrows(10, pers.Name)
Actions.TakeObject(pers.Name,quiver.Name)
EnemyTypes.EnemyDefaultFuncs(pers)






def EnemigoMuere(entity):
    Abredoor4()
    me = Bladex.GetEntity(entity)
    if me.Data.OldImDeadFunc:
        me.Data.OldImDeadFunc(entity)

pers.Data.OldImDeadFunc = pers.ImDeadFunc
pers.ImDeadFunc = EnemigoMuere




#######################################PUERTA DEL DESCAMPAOOOOOOO######################33

###################SONIDOS############################
spuertar3d=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-deslizando.wav", "MaderaDesliz")
spuertar3d.MaxDistance=20000
spuertar3d.MinDistance=1000
spuertar3d.Volume=1.0

spuertar3g=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-golpe.wav", "MaderaGolpe")
spuertar3g.MaxDistance=20000
spuertar3g.MinDistance=2000
spuertar3g.Volume=1.0

###################FUNCIONES PARA ABRIR/CERRAR###################

def Abredoor3():
    p3.OpenDoor()

def Cierradoor3():
    p3.CloseDoor()


#####################CREAMOS LA PUERTA#####################

p3=Doors.CreateDoor("p3",(11349, -2313, -125510),(0,1,0),0,20000,Doors.CLOSED)

p3.opentype=Doors.UNIF
p3.o_med_vel=-700
p3.o_med_displ=20000

p3.closetype=Doors.AC
p3.c_init_displ=3000
p3.c_med_vel=20000
p3.SetWhileOpenSound(spuertar1d)
p3.SetEndOpenSound(spuertar1g)

###################SONIDOS PARA LA PUERTA####################

p3.SetWhileCloseSound(spuertar1d)
p3.SetEndCloseSound(spuertar1g)

###############CREAMOS ENEMIGO##############

pers=Bladex.CreateEntity("ChaosKnight_226","ChaosKnight",320.33127855,-7743.45179295,-117869.250884, "Person")
pers.Scale=1.0
pers.Blind=1
pers.Deaf=1
pers.Angle=0.145155295092
pers.Level=20
pers.Life=24000.0
EnemyTypes.EnemyDefaultFuncs(pers)
o=Bladex.CreateEntity ("Espadon_227", "Espadon", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("ChaosKnight_226", "Espadon_227")
o=Bladex.CreateEntity ("Escudon_228", "Escudon", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudon_228")
Actions.TakeObject("ChaosKnight_226", "Escudon_228")


 
def EnemigoMuere(entity):
    Abredoor3()
    me = Bladex.GetEntity(entity)
    if me.Data.OldImDeadFunc:
        me.Data.OldImDeadFunc(entity)

pers.Data.OldImDeadFunc = pers.ImDeadFunc
pers.ImDeadFunc = EnemigoMuere



########################BAJAGUA!!!!!!!!!!!!############################



###################FUNCIONES PARA ABRIR/CERRAR###################

def Abredoor20():
    Noagua()



def Cierradoor20():
    Noagua()






#####################CREAMOS CERRADURA######################

cerradurp20=Locks.PlaceLock("cerradurp20","Cerradurpla",(117895.693695,-21730.5719896,-90357.5960609),(0.500000059605,0.499999910593,0.500000059605,-0.499999970198),2.5)
cerradurp20.key="LlavePutada"

darfuncs.SetHint(cerradurp20.obj,Tr("Cerradura de las Caerias"))


cerradurp20.OnUnLockFunc=Abredoor20
cerradurp20.OnUnLockArgs=()

cerradurp20.OnLockFunc=Cierradoor20
cerradurp20.OnLockArgs=()



########################################
#    Rastrillo de enanos    #
########################################



### rastrillo enanos #####

puerta1=Bladex.CreateEntity("puerta1","Rastrillo10",-76141.4436486,-4414.02509539,-62939.8426357,"Physic")
puerta1.Scale=1.8
puerta1.Orientation=0.430459409952,0.430459260941,0.560985565186,-0.560985505581
puerta1=Sparks.SetMetalSparkling("puerta1")
puerta1.Frozen=1
puerta1din=Objects.CreateDinamicObject("puerta1")


### Sonidos


deslizpuerta1=Sounds.CreateEntitySound("..\\..\\Sounds\\rastrillo.wav", "Deslizpuerta1")
deslizpuerta1.Volume=0.8
deslizpuerta1.MinDistance=5000
deslizpuerta1.MaxDistance=20000
golpepuerta1=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "Golpepuerta1")
golpepuerta1.Volume=0.8
golpepuerta1.MinDistance=5000
golpepuerta1.MaxDistance=20000

######## Funcion: AbrePuerta1()

######## Funcion: CierraPuerta1()

palras=Levers.PlaceLever("PalRas",Levers.LeverType3,(-73668.9461019, -1352.77887885, -58205.9919286),(0.560985326767,0.560985684395,-0.430459290743,0.430459439754),1.0)

palras.mode=3

palras.OnTurnOnFunc=AbrePuerta1
palras.OnTurnOnArgs=()

palras.OnTurnOffFunc=CierraPuerta1
palras.OnTurnOffArgs=()








##############TUNEL SECRETO###############

granpiedradeslizando=Sounds.CreateEntitySound("..\\..\\Sounds\\Huge-stone-door.wav", "granpiedradeslizando")
cierrepiedra=Sounds.CreateEntitySound("..\\..\\Sounds\\Stone-door-shut.wav", "cierrepiedra")



###################FUNCIONES PARA ABRIR/CERRAR###################

def Abredoor16():
    p16.OpenDoor()

def Cierradoor16():
    p16.CloseDoor()


#####################CREAMOS LA PUERTA#####################

p16=Doors.CreateDoor("p16",(-14898, -918, -4007),(0,1,0),0,10000,Doors.CLOSED)
p16.opentype=Doors.UNIF
p16.o_med_vel=-700
p16.o_med_displ=10000


p16.closetype=Doors.AC
p16.c_init_displ=10000
p16.c_med_vel=3000




p16.SetWhileCloseSound(granpiedradeslizando)
p16.SetWhileOpenSound(granpiedradeslizando)
p16.SetEndCloseSound(cierrepiedra)
p16.SetEndOpenSound(cierrepiedra)


##############TUNEL SECRETO B###############

granpiedradeslizando=Sounds.CreateEntitySound("..\\..\\Sounds\\Huge-stone-door.wav", "granpiedradeslizando")
cierrepiedra=Sounds.CreateEntitySound("..\\..\\Sounds\\Stone-door-shut.wav", "cierrepiedra")



###################FUNCIONES PARA ABRIR/CERRAR###################

def Abredoor17():
    p17.OpenDoor()

def Cierradoor17():
    p17.CloseDoor()


#####################CREAMOS LA PUERTA#####################

p17=Doors.CreateDoor("p17",(-15129, -1773, -5661),(0,-1,0),0,10000,Doors.CLOSED)
p17.opentype=Doors.UNIF
p17.o_med_vel=-700
p17.o_med_displ=10000


p17.closetype=Doors.AC
p17.c_init_displ=10000
p17.c_med_vel=3000




p17.SetWhileCloseSound(granpiedradeslizando)
p17.SetWhileOpenSound(granpiedradeslizando)
p17.SetEndCloseSound(cierrepiedra)
p17.SetEndOpenSound(cierrepiedra)






##############CATEDRAL A###############

granpiedradeslizando=Sounds.CreateEntitySound("..\\..\\Sounds\\Huge-stone-door.wav", "granpiedradeslizando")
cierrepiedra=Sounds.CreateEntitySound("..\\..\\Sounds\\Stone-door-shut.wav", "cierrepiedra")



###################FUNCIONES PARA ABRIR/CERRAR###################

def Abredoor50():
    p50.OpenDoor()

def Cierradoor50():
    p50.CloseDoor()


#####################CREAMOS LA PUERTA#####################

p50=Doors.CreateDoor("p50",(380996, -1299, -94907),(0,0,-1),0,4750,Doors.CLOSED)
p50.opentype=Doors.UNIF
p50.o_med_vel=-500
p50.o_med_displ=4750


p50.closetype=Doors.AC
p50.c_init_displ=4750
p50.c_med_vel=3000




p50.SetWhileCloseSound(granpiedradeslizando)
p50.SetWhileOpenSound(granpiedradeslizando)
p50.SetEndCloseSound(cierrepiedra)
p50.SetEndOpenSound(cierrepiedra)




##############CATEDRAL B###############

granpiedradeslizando=Sounds.CreateEntitySound("..\\..\\Sounds\\Huge-stone-door.wav", "granpiedradeslizando")
cierrepiedra=Sounds.CreateEntitySound("..\\..\\Sounds\\Stone-door-shut.wav", "cierrepiedra")



###################FUNCIONES PARA ABRIR/CERRAR###################

def Abredoor51():
    p51.OpenDoor()

def Cierradoor51():
    p51.CloseDoor()


#####################CREAMOS LA PUERTA#####################

p51=Doors.CreateDoor("p51",(380977, -463, -101895),(0,0,1),0,4750,Doors.CLOSED)
p51.opentype=Doors.UNIF
p51.o_med_vel=-500
p51.o_med_displ=4750


p51.closetype=Doors.AC
p51.c_init_displ=4750
p51.c_med_vel=3000




p51.SetWhileCloseSound(granpiedradeslizando)
p51.SetWhileOpenSound(granpiedradeslizando)
p51.SetEndCloseSound(cierrepiedra)
p51.SetEndOpenSound(cierrepiedra)



#########Escalera WAPAAAAAA#######################


##############Escalon1###############

granpiedradeslizando=Sounds.CreateEntitySound("..\\..\\Sounds\\Huge-stone-door.wav", "granpiedradeslizando")
cierrepiedra=Sounds.CreateEntitySound("..\\..\\Sounds\\Stone-door-shut.wav", "cierrepiedra")



###################FUNCIONES PARA ABRIR/CERRAR###################

def Abredoor52():
    p52.OpenDoor()

def Cierradoor52():
    p52.CloseDoor()


#####################CREAMOS LA PUERTA#####################

p52=Doors.CreateDoor("p52",(434593, 2239, -84613),(0,-1,0),0,2500,Doors.CLOSED)
p52.opentype=Doors.UNIF
p52.o_med_vel=-700
p52.o_med_displ=2500


p52.closetype=Doors.AC
p52.c_init_displ=2500
p52.c_med_vel=2000




p52.SetWhileCloseSound(granpiedradeslizando)
p52.SetWhileOpenSound(granpiedradeslizando)
p52.SetEndCloseSound(cierrepiedra)
p52.SetEndOpenSound(cierrepiedra)


##############Escalon2###############

granpiedradeslizando=Sounds.CreateEntitySound("..\\..\\Sounds\\Huge-stone-door.wav", "granpiedradeslizando")
cierrepiedra=Sounds.CreateEntitySound("..\\..\\Sounds\\Stone-door-shut.wav", "cierrepiedra")



###################FUNCIONES PARA ABRIR/CERRAR###################

def Abredoor53():
    p53.OpenDoor()

def Cierradoor53():
    p53.CloseDoor()


#####################CREAMOS LA PUERTA#####################

p53=Doors.CreateDoor("p53",(434754, 1811, -85539),(0,-1,0),0,2000,Doors.CLOSED)
p53.opentype=Doors.UNIF
p53.o_med_vel=-700
p53.o_med_displ=2000


p53.closetype=Doors.AC
p53.c_init_displ=2000
p53.c_med_vel=2000




p53.SetWhileCloseSound(granpiedradeslizando)
p53.SetWhileOpenSound(granpiedradeslizando)
p53.SetEndCloseSound(cierrepiedra)
p53.SetEndOpenSound(cierrepiedra)

##############Escalon3###############

granpiedradeslizando=Sounds.CreateEntitySound("..\\..\\Sounds\\Huge-stone-door.wav", "granpiedradeslizando")
cierrepiedra=Sounds.CreateEntitySound("..\\..\\Sounds\\Stone-door-shut.wav", "cierrepiedra")



###################FUNCIONES PARA ABRIR/CERRAR###################

def Abredoor54():
    p54.OpenDoor()

def Cierradoor54():
    p54.CloseDoor()


#####################CREAMOS LA PUERTA#####################

p54=Doors.CreateDoor("p54",(432585, 1339, -86577),(0,-1,0),0,1500,Doors.CLOSED)
p54.opentype=Doors.UNIF
p54.o_med_vel=-700
p54.o_med_displ=1500


p54.closetype=Doors.AC
p54.c_init_displ=1500
p54.c_med_vel=2000




p54.SetWhileCloseSound(granpiedradeslizando)
p54.SetWhileOpenSound(granpiedradeslizando)
p54.SetEndCloseSound(cierrepiedra)
p54.SetEndOpenSound(cierrepiedra)

##############Escalon4###############

granpiedradeslizando=Sounds.CreateEntitySound("..\\..\\Sounds\\Huge-stone-door.wav", "granpiedradeslizando")
cierrepiedra=Sounds.CreateEntitySound("..\\..\\Sounds\\Stone-door-shut.wav", "cierrepiedra")



###################FUNCIONES PARA ABRIR/CERRAR###################

def Abredoor55():
    p55.OpenDoor()

def Cierradoor55():
    p55.CloseDoor()


#####################CREAMOS LA PUERTA#####################

p55=Doors.CreateDoor("p55",(433467, 757, -87732),(0,-1,0),0,1000,Doors.CLOSED)
p55.opentype=Doors.UNIF
p55.o_med_vel=-700
p55.o_med_displ=1000


p55.closetype=Doors.AC
p55.c_init_displ=1000
p55.c_med_vel=2000




p55.SetWhileCloseSound(granpiedradeslizando)
p55.SetWhileOpenSound(granpiedradeslizando)
p55.SetEndCloseSound(cierrepiedra)
p55.SetEndOpenSound(cierrepiedra)


##############Escalon5###############

granpiedradeslizando=Sounds.CreateEntitySound("..\\..\\Sounds\\Huge-stone-door.wav", "granpiedradeslizando")
cierrepiedra=Sounds.CreateEntitySound("..\\..\\Sounds\\Stone-door-shut.wav", "cierrepiedra")



###################FUNCIONES PARA ABRIR/CERRAR###################

def Abredoor56():
    p56.OpenDoor()

def Cierradoor56():
    p56.CloseDoor()


#####################CREAMOS LA PUERTA#####################

p56=Doors.CreateDoor("p56",(433079, 332, -88451),(0,-1,0),0,500,Doors.CLOSED)
p56.opentype=Doors.UNIF
p56.o_med_vel=-700
p56.o_med_displ=500


p56.closetype=Doors.AC
p56.c_init_displ=500
p56.c_med_vel=2000




p56.SetWhileCloseSound(granpiedradeslizando)
p56.SetWhileOpenSound(granpiedradeslizando)
p56.SetEndCloseSound(cierrepiedra)
p56.SetEndOpenSound(cierrepiedra)



###Palanca de Escalera

palesc=Levers.PlaceLever("palesc",Levers.LeverType3,(430136.066392, 1644.33453655, -57666.1075677),(0.500000059605,0.500000059605,-0.500000059605,0.499999850988),1.0)

palesc.mode=1

palesc.OnTurnOnFunc=BajaEscalera
palesc.OnTurnOnArgs=()




##############ASSENSORRRRRR###############

granpiedradeslizando=Sounds.CreateEntitySound("..\\..\\Sounds\\Huge-stone-door.wav", "granpiedradeslizando")
cierrepiedra=Sounds.CreateEntitySound("..\\..\\Sounds\\Stone-door-shut.wav", "cierrepiedra")



###################FUNCIONES PARA ABRIR/CERRAR###################

def Abredoor60():
    p60.OpenDoor()

def Cierradoor60():
    p60.CloseDoor()


#####################CREAMOS LA PUERTA#####################

p60=Doors.CreateDoor("p60",(432194, 4835, -53944),(0,-1,0),0,7000,Doors.OPENED)
p60.opentype=Doors.UNIF
p60.o_med_vel=-3000
p60.o_med_displ=7000


p60.closetype=Doors.AC
p60.c_init_displ=7000
p60.c_med_vel=3000




p60.SetWhileCloseSound(granpiedradeslizando)
p60.SetWhileOpenSound(granpiedradeslizando)
p60.SetEndCloseSound(cierrepiedra)
p60.SetEndOpenSound(cierrepiedra)



###Palanca ASSENSOR

palasc=Levers.PlaceLever("Palasc",Levers.LeverType3,(434003.512504,8820.97593682,-53134.2523565),(0.499999910593,0.500000178814,0.500000119209,-0.499999791384),1.0)

palasc.mode=1

palasc.OnTurnOnFunc=Cierradoor60
palasc.OnTurnOnArgs=()





###Palanca ASSENSORB

palascb=Levers.PlaceLever("Palascb",Levers.LeverType3,(434106.274333, 1801.05861874, -53240.327906),(0.5,0.500000178814,0.499999970198, -0.499999850988),1.0)

palascb.mode=1

palascb.OnTurnOnFunc=Abredoor60
palascb.OnTurnOnArgs=()




########################PUERTA 101############################

####################SONIDOS############################
spuertar1d=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-deslizando.wav", "MaderaDesliz")
spuertar1d.MaxDistance=20000
spuertar1d.MinDistance=1000
spuertar1d.Volume=4.0

spuertar1g=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-golpe.wav", "MaderaGolpe")
spuertar1g.MaxDistance=20000
spuertar1g.MinDistance=2000
spuertar1g.Volume=4.0

###################FUNCIONES PARA ABRIR/CERRAR###################

def Abredoor101():
    p101.OpenDoor()  
    

def Cierradoor101():
    p101.CloseDoor() 


#####################CREAMOS LA PUERTA#####################

p101=Doors.CreateDoor("p101",(119957, -9557, -79393),(0,1,0),0,4000,Doors.CLOSED)

p101.opentype=Doors.UNIF
p101.o_med_vel=-4000
p101.o_med_displ=4000

p101.closetype=Doors.AC
p101.c_init_displ=4000
p101.c_med_vel=700
p101.SetWhileOpenSound(spuertar1d)
p101.SetEndOpenSound(spuertar1g)

###################SONIDOS PARA LA PUERTA####################

p101.SetWhileCloseSound(spuertar1d)
p101.SetEndCloseSound(spuertar1g)

